Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Class RegisterNameIdentifierRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.liberty.v12.LibRequestMessage
oracle.security.xmlsec.liberty.v12.RegisterNameIdentifierRequest`

public class RegisterNameIdentifierRequest
extends LibRequestMessage

This class implements the RegisterNameIdentifierRequest element in the Liberty Name Registeration protocol.This element is either used by the service provider to resigter a SPProvidedNameIdentifier with a identity provider, or by an identity provider to seek to change the IDPProvidedNameIdentifier stored by a service provider.

See Also:
  `SPProvidedNameIdentifier`, `IDPProvidedNameIdentifier`, `OldProvidedNameIdentifier`, `RegisterNameIdentifierResponse`

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RegisterNameIdentifierRequest(org.w3c.dom.Document owner)` Creates a new `RegisterNameIdentifierRequest` instance within the specified XML Document.
`RegisterNameIdentifierRequest(org.w3c.dom.Document owner, java.lang.String requestId, java.util.Date issueInstant, java.lang.String providerId)` Creates a new `RegisterNameIdentifierRequest` instance within the specified XML Document.
`RegisterNameIdentifierRequest(org.w3c.dom.Element element)` Creates a new `RegisterNameIdentifierRequest` instance from the given Element node.
`RegisterNameIdentifierRequest(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RegisterNameIdentifierRequest` instance from the given Element node.

Method Summary
`protected java.lang.String[]` | `getChildElementsLocalNames()` Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
`protected java.lang.String[]` | `getChildElementsNSURIs()` Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
`IDPProvidedNameIdentifier` | `getIDPProvidedNameIdentifier()` Returns the IDPProvidedNameIdentifier element contained in this element, or `null` if no IDPProvidedNameIdneitifier element is present.
`OldProvidedNameIdentifier` | `getOldProvidedNameIdentifier()` Returns the OldProvidedNameIdentifier element contained in this element, or `null` if no OldProviderNameIdentifier element is present.
`java.lang.String` | `getRelayState()` Returns the value contained in the RelayState child element of this RegisterNameIdentifierRequest element, or ,code>null if no RelayState element is present.
`SPProvidedNameIdentifier` | `getSPProvidedNameIdentifier()` Returns the SPProvidedNameIdentifier element contained in this element, or `null` if no SPProvidedNameIdentifier element is present.
`void` | `setIDPProvidedNameIdentifier(IDPProvidedNameIdentifier idpNameId)` Sets the IDPProvidedNameIdentifier child element of this element.
`void` | `setOldProvidedNameIdentifier(OldProvidedNameIdentifier oldNameId)` Sets the OldProvidedNameIdentifier child element of this element.
`void` | `setRelayState(java.lang.String value)` Sets the value of the RelayState child element in this RegisterNameIdentifierRequest element.
`void` | `setSPProvidedNameIdentifier(SPProvidedNameIdentifier spNameId)` Sets the SPProvidedNameIdentifier child element of this element.
`java.lang.String` | `toURLString(oracle.security.crypto.core.PrivateKey key, java.lang.String sigAlg)` Returns this `RegisterNameIdentifierRequest` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.

Methods inherited from class oracle.security.xmlsec.liberty.v12.LibRequestMessage
`addSignature, addSignature, getChildElementPosition, getID, getInstance, getProviderID, setProviderID`

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterNameIdentifierRequest

    public RegisterNameIdentifierRequest(org.w3c.dom.Element element)
                                  throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierRequest` instance from the given Element node.
Parameters:
  `element` - A Liberty RegisterNameIdentifierRequest XML element.

### RegisterNameIdentifierRequest

    public RegisterNameIdentifierRequest(org.w3c.dom.Element element,
                                         java.lang.String systemId)
                                  throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierRequest` instance from the given Element node.
Parameters:
  `element` - A Liberty RegisterNameIdentifierRequest XML element.
  `systemId` - The URI string system ID for the `RegisterNameIdentifierRequest`.

### RegisterNameIdentifierRequest

    public RegisterNameIdentifierRequest(org.w3c.dom.Document owner)
                                  throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierRequest` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty RegisterNameIdentifierRequest element.

### RegisterNameIdentifierRequest

    public RegisterNameIdentifierRequest(org.w3c.dom.Document owner,
                                         java.lang.String requestId,
                                         java.util.Date issueInstant,
                                         java.lang.String providerId)
                                  throws org.w3c.dom.DOMException

  Creates a new `RegisterNameIdentifierRequest` instance within the specified XML Document.
Parameters:
  `owner` - The owner document of the new Liberty RegisterNameIdentifierRequest element.
  `requestId` - The `RequestID` attribute.
  `issueInstant` - The `IssueInstant` attribute.
  `providerId` - The `ProviderID` child element.

Method Detail

### setIDPProvidedNameIdentifier

    public void setIDPProvidedNameIdentifier(IDPProvidedNameIdentifier idpNameId)

  Sets the IDPProvidedNameIdentifier child element of this element. This required child element contains the name identifier the identity provider provided at the time of federation.

### getIDPProvidedNameIdentifier

    public IDPProvidedNameIdentifier getIDPProvidedNameIdentifier()

  Returns the IDPProvidedNameIdentifier element contained in this element, or `null` if no IDPProvidedNameIdneitifier element is present.
  Returns:
    An `IDPProvidedNameIdentifier` object.

### setSPProvidedNameIdentifier

    public void setSPProvidedNameIdentifier(SPProvidedNameIdentifier spNameId)

  Sets the SPProvidedNameIdentifier child element of this element. This required child element contains the name identifier the identity provider will use when communicating to the service provider.

### getSPProvidedNameIdentifier

    public SPProvidedNameIdentifier getSPProvidedNameIdentifier()

  Returns the SPProvidedNameIdentifier element contained in this element, or `null` if no SPProvidedNameIdentifier element is present.
  Returns:
    An `SPProvidedNameIdentifier` object.

### setOldProvidedNameIdentifier

    public void setOldProvidedNameIdentifier(OldProvidedNameIdentifier oldNameId)

  Sets the OldProvidedNameIdentifier child element of this element.

### getOldProvidedNameIdentifier

    public OldProvidedNameIdentifier getOldProvidedNameIdentifier()

  Returns the OldProvidedNameIdentifier element contained in this element, or `null` if no OldProviderNameIdentifier element is present.
  Returns:
    An `OldProvidedNameIdentifier` object.

### setRelayState

    public void setRelayState(java.lang.String value)
                       throws org.w3c.dom.DOMException

  Sets the value of the RelayState child element in this RegisterNameIdentifierRequest element. This optional child element contains state information that may be relayed back in the response.
  Parameters:
    `value` - The value for the relay state.
  Throws:
    `org.w3c.dom.DOMException`

### getRelayState

    public java.lang.String getRelayState()

  Returns the value contained in the RelayState child element of this RegisterNameIdentifierRequest element, or ,code>null if no RelayState element is present.

### toURLString

    public java.lang.String toURLString(oracle.security.crypto.core.PrivateKey key,
                                        java.lang.String sigAlg)
                                 throws oracle.security.xmlsec.dsig.SigningException

  Returns this `RegisterNameIdentifierRequest` as a URL-encoded query string, optionally signed using the given private key and signature algorithm.
  Parameters:
    `key` - The private signing key. If `null`, the query string will not be signed.
    `sigAlg` - The URI identifying the signature algorithm to use. If `null`, the query string will not be signed.
  Throws:
    `oracle.security.xmlsec.dsig.SigningException` - If an error occurs computing the signature.

### getChildElementsNSURIs

    protected java.lang.String[] getChildElementsNSURIs()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the namespce URIs for the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsNSURIs` in class `LibRequestMessage`

### getChildElementsLocalNames

    protected java.lang.String[] getChildElementsLocalNames()

  Description copied from class: `LibRequestMessage`
  Returns the orderded set of the local names of the child elements specified in the schema for the XML element represented by the concrete subclass.
  Specified by:
    `getChildElementsLocalNames` in class `LibRequestMessage`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.